Skip to main content
GET
/
product
/
productData
Get product data
curl --request GET \
  --url https://eu-data.kameleoon.io/product/productData \
  --header 'user-agent: <user-agent>'
import requests

url = "https://eu-data.kameleoon.io/product/productData"

headers = {"user-agent": "<user-agent>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'user-agent': '<user-agent>'}};

fetch('https://eu-data.kameleoon.io/product/productData', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Headers

user-agent
string
default:kameleoon-docs
required

Not always required. Kameleoon rejects an incoming request if the source is a bot or spider, based on IAB/ABC user-agent filtering rules. Kameleoon uses a single-pass method. You don't need to take specific action when sending requests from a web browser using a standard library (XHR). However, in other cases, set a custom value for the User-Agent request header to overwrite the default value the library sets.

Query Parameters

siteCode
string
required

The Kameleoon project ID.

eans
string
required

A JSON array of product IDs or EANs. For example, ["ean1","ean2"]. Limit the array to 100 products. JSON array of <product Id / EAN: string>.

all
boolean
default:false

Set to true to get all fields for the given product.

name
boolean
default:false

Set to true to get the name field for the given product. Note: Kameleoon ignores this if the all parameter is true.

categories
boolean
default:false

Set to true to get the categories field for the given product. Note: Kameleoon ignores this if the all parameter is true.

url
boolean
default:false

Set to true to get the url field for the given product. Note: Kameleoon ignores this if the all parameter is true.

imageURL
boolean
default:false

Set to true to get the imageURL field for the given product. Note: Kameleoon ignores this if the all parameter is true.

available
boolean
default:false

Set to true to get the available field for the given product. Note: Kameleoon ignores this if the all parameter is true.

availableQuantity
boolean
default:false

Set to true to get the availableQuantity field for the given product. Note: Kameleoon ignores this if the all parameter is true.

brand
boolean
default:false

Set to true to get the brand field for the given product. Note: Kameleoon ignores this if the all parameter is true.

isChild
boolean
default:false

Set to true to get the isChild field for the given product. Note: Kameleoon ignores this if the all parameter is true.

isFashion
boolean
default:false

Set to true to get the isFashion field for the given product. Note: Kameleoon ignores this if the all parameter is true.

fashion
boolean
default:false

Set to true to get the fashion field for the given product. Note: Kameleoon ignores this if the all parameter is true.

sku
boolean
default:false

Set to true to get the sku field for the given product. Note: Kameleoon ignores this if the all parameter is true.

merchantID
boolean
default:false

Set to true to get the merchantID field for the given product. Note: Kameleoon ignores this if the all parameter is true.

oldPrice
boolean
default:false

Set to true to get the oldPrice field for the given product. Note: Kameleoon ignores this if the all parameter is true.

tags
boolean
default:false

Set to true to get the tags field for the given product. Note: Kameleoon ignores this if the all parameter is true.

rating
boolean
default:false

Set to true to get the rating field for the given product. Note: Kameleoon ignores this if the all parameter is true.

description
boolean
default:false

Set to true to get the description field for the given product. Note: Kameleoon ignores this if the all parameter is true.

params
boolean
default:false

Set to true to get the params field for the given product. Note: Kameleoon ignores this if the all parameter is true.

groupId
boolean
default:false

Set to true to get the groupId field for the given product. Note: Kameleoon ignores this if the all parameter is true.

accessories
boolean
default:false

Set to true to get the accessories field for the given product. Note: Kameleoon ignores this if the all parameter is true.

seasonality
boolean
default:false

Set to true to get the seasonality field for the given product. Note: Kameleoon ignores this if the all parameter is true.

priceMargin
boolean
default:false

Set to true to get the priceMargin field for the given product. Note: Kameleoon ignores this if the all parameter is true.

isNew
boolean
default:false

Set to true to get the isNew field for the given product. Note: Kameleoon ignores this if the all parameter is true.

auto
boolean
default:false

Set to true to get the auto field for the given product. Note: Kameleoon ignores this if the all parameter is true.

model
boolean
default:false

Set to true to get the model field for the given product. Note: Kameleoon ignores this if the all parameter is true.

leftovers
boolean
default:false

Set to true to get the leftovers field for the given product. Note: Kameleoon ignores this if the all parameter is true.

typePrefix
boolean
default:false

Set to true to get the typePrefix field for the given product. Note: Kameleoon ignores this if the all parameter is true.

price
boolean
default:false

Set to true to get the price field for the given product. Note: Kameleoon ignores this if the all parameter is true.

priceHistory
boolean
default:false

Set to true to get the timesAndPricesSortedAscTime field for the given product. Note: Kameleoon ignores this if the all parameter is true.

timeLastView
boolean
default:false

Set to true to get the timeLastView field for the given product. Note: Kameleoon ignores this if the all parameter is true.

timeLastAddToCart
boolean
default:false

Set to true to get the timeLastAddToCart field for the given product. Note: Kameleoon ignores this if the all parameter is true.

timeLastBuy
boolean
default:false

Set to true to get the timeLastBuy field for the given product. Note: Kameleoon ignores this if the all parameter is true.

prettyPrint
boolean
default:false

Set to true for a "pretty" printed response.

Response

Successful operation, products are rendered, of type JSON object {"<product Id / EAN>": <product>}, with <product> of type JSON object